## ros-rolling-image-view 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(image_view)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

find_package(Boost REQUIRED)
find_package(OpenCV REQUIRED)

# Deal with the GUI's
if(ANDROID)
  return()
endif()

ament_auto_add_library(${PROJECT_NAME}_nodes SHARED
  src/disparity_view_node.cpp
  src/extract_images_node.cpp
  src/image_view_node.cpp
  src/image_saver_node.cpp
  src/stereo_view_node.cpp
  src/video_recorder_node.cpp
)
target_link_libraries(${PROJECT_NAME}_nodes
  ${OpenCV_LIBRARIES}
  ${Boost_LIBRARIES}
)
target_compile_definitions(${PROJECT_NAME}_nodes
  PRIVATE "COMPOSITION_BUILDING_DLL"
)
rclcpp_components_register_nodes(${PROJECT_NAME}_nodes
  "${PROJECT_NAME}::DisparityViewNode"
  "${PROJECT_NAME}::ExtractImagesNode"
  "${PROJECT_NAME}::ImageViewNode"
  "${PROJECT_NAME}::ImageSaverNode"
  "${PROJECT_NAME}::StereoViewNode"
  "${PROJECT_NAME}::VideoRecorderNode"
)

# Image viewers
ament_auto_add_executable(disparity_view
  src/disparity_view.cpp
)
target_link_libraries(disparity_view
  ${PROJECT_NAME}_nodes
)
add_dependencies(disparity_view
  ${PROJECT_NAME}_nodes
)

ament_auto_add_executable(${PROJECT_NAME}
  src/image_view.cpp
)
target_link_libraries(${PROJECT_NAME}
  ${PROJECT_NAME}_nodes
)
add_dependencies(${PROJECT_NAME}
  ${PROJECT_NAME}_nodes
)

ament_auto_add_executable(stereo_view
  src/stereo_view.cpp
)
target_link_libraries(stereo_view
  ${PROJECT_NAME}_nodes
)
add_dependencies(stereo_view
  ${PROJECT_NAME}_nodes
)

# Other Tools
ament_auto_add_executable(extract_images
  src/extract_images.cpp
)
target_link_libraries(extract_images
  ${PROJECT_NAME}_nodes
)
add_dependencies(extract_images
  ${PROJECT_NAME}_nodes
)

ament_auto_add_executable(image_saver
  src/image_saver.cpp
)
target_link_libraries(image_saver
  ${PROJECT_NAME}_nodes
)
add_dependencies(image_saver
  ${PROJECT_NAME}_nodes
)

ament_auto_add_executable(video_recorder
  src/video_recorder.cpp
)
target_link_libraries(video_recorder
  ${PROJECT_NAME}_nodes
)
add_dependencies(video_recorder
  ${PROJECT_NAME}_nodes
)

if(BUILD_TESTING)
  find_package(ament_lint_auto)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package()

=== debian/changelog ===
ros-rolling-image-view (2.2.1-2focal) focal; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 27 Aug 2020 07:00:00 -0000

ros-rolling-image-view (2.2.0-2focal) focal; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
  * Opencv 3 compatibility (#564 <https://github.com/ros-perception/image_pipeline/issues/564>)
    * Remove GTK from image_view.
    * Reinstate OpenCV 3 compatibility.
  * Use newer 'add_on_set_parameters_callback' API (#562 <https://github.com/ros-perception/image_pipeline/issues/562>)
    The old API was deprecated in Foxy and since removed in https://github.com/ros2/rclcpp/pull/1199.
  * Contributors: Chris Lalancette, Jacob Perron, Joshua Whitley
  * Patch boost failure in image_view (#541 <https://github.com/ros-perception/image_pipeline/issues/541>)
    * Patch boost failure in image_view
    * remove ros2_deps from circle with new releases
    * readd deps
  * Contributors: Steve Macenski
  * Initial ROS2 commit.
  * Contributors: Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 27 Jul 2020 07:00:00 -0000

ros-rolling-image-view (1.12.23-2focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 07:00:00 -0000

ros-rolling-image-view (1.12.22-2focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 08:00:00 -0000

ros-rolling-image-view (1.12.21-2focal) focal; urgency=high

  * call namedWindow from same thread as imshow, need waitKay, now cvStartWindowThreads is null funciton on window_QT.h (#279 <https://github.com/ros-perception/image_pipeline/issues/279>)
  * Contributors: Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 07:00:00 -0000

ros-rolling-image-view (1.12.20-2focal) focal; urgency=high

  * DisparityViewNodelet: fixed freeze (#244 <https://github.com/ros-perception/image_pipeline/issues/244>)
  * launch image view with a predefined window size (#257 <https://github.com/ros-perception/image_pipeline/issues/257>)
  * Remove python-opencv run_depend for image_view (#270 <https://github.com/ros-perception/image_pipeline/issues/270>)
    The python-opencv dependency pulls in the system OpenCV v2.4 which is
    not required since the image_view package depends on cv_bridge which
    pulls in opencv3 and opencv3 provides the python library that
    image_view can use.
  * Fix encoding error message (#253 <https://github.com/ros-perception/image_pipeline/issues/253>)
    * Fix encoding error message
    * Update image_saver.cpp
    Allow compilation on older compilers
  * Including stereo_msgs dep fixes #248 <https://github.com/ros-perception/image_pipeline/issues/248> (#249 <https://github.com/ros-perception/image_pipeline/issues/249>)
  * Add no gui mode to just visualize & publish with image_view (#241 <https://github.com/ros-perception/image_pipeline/issues/241>)
  * stere_view: fixed empty left, right, disparity windows with opencv3
  * Apply value scaling to depth/float image with min/max image value
    If min/max image value is specified we just use it, and if not,
    - 32FC1: we assume depth image with meter metric, and 10[m] as the max range.
    - 16UC1: we assume depth image with milimeter metric, and 10 * 1000[mm] as the max range.
  * Depends on cv_bridge 1.11.13 for CvtColorForDisplayOptions
    Close #238 <https://github.com/ros-perception/image_pipeline/issues/238>
  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Christopher Wecht, Kartik Mohta, Kei Okada, Kentaro Wada, Lukas Bulwahn, Leonard Gerard, Vincent Rabaud, cwecht, mryellow

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 07:00:00 -0000

ros-rolling-image-view (1.12.19-2focal) focal; urgency=high

  * Add colormap option in video_recorder
  * Merge pull request #203 <https://github.com/ros-perception/image_pipeline/issues/203> from wkentaro/video-recorder-timestamp
    [image_view] Stamped video output filename for video recorder
  * bump version requirement for cv_bridge dep
    Closes #215 <https://github.com/ros-perception/image_pipeline/issues/215>
  * Request for saving image with start/end two triggers
  * Stamped video output filename
    - _filename:=output.avi _stamped_filename:=false -> output.avi
    - _filename:=_out.avi _stamped_filename:=true -> 1466299931.584632829_out.avi
    - _filename:=$HOME/.ros/.avi _stamped_filename:=true -> /home/ubuntu/.ros/1466299931.584632829.avi
  * Revert max_depth_range to default value for cvtColorForDisplay
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 07:00:00 -0000

ros-rolling-image-view (1.12.18-2focal) focal; urgency=high

  * Use image_transport::Subscriber aside from ros::Subscriber
  * Refactor: Remove subscription of camera_info in video_recorder
  * Add colormap options for displaying image topic
  * Use CvtColorForDisplayOptions for cvtColorForDisplay
  * Contributors: Kentaro Wada, Vincent Rabaud



=== debian/control ===
Source: ros-rolling-image-view
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, ros-rolling-ament-cmake-auto, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-camera-calibration-parsers, ros-rolling-cv-bridge, ros-rolling-image-transport, ros-rolling-message-filters, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-std-srvs, ros-rolling-stereo-msgs, ros-rolling-ros-workspace
Homepage: https://index.ros.org/p/image_view/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-rolling-image-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, ros-rolling-camera-calibration-parsers, ros-rolling-cv-bridge, ros-rolling-image-transport, ros-rolling-message-filters, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-std-srvs, ros-rolling-stereo-msgs, ros-rolling-ros-workspace
Description: A simple viewer for ROS image topics.
 Includes a specialized viewer for stereo + disparity images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-image-view//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-image-view 3.0.1

=== debian/changelog ===
ros-rolling-image-view (3.0.1-2jammy) jammy; urgency=high

  * Replace deprecated headers
    Fixing compiler warnings.
  * Contributors: Jacob Perron

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 04 Dec 2022 08:00:00 -0000

ros-rolling-image-view (3.0.0-2jammy) jammy; urgency=high

  * Cleanup image_view.
  * reformat for the uncrustify linter
  * fix code style divergence
  * reduce number of lines under 100
  * print correct topics, remap according to ros2 capabilities, print help with correct ros2 syntax
  * declare and get parameters for value replacement
  * transport shoudl be used as a ros arg parameter
  * use ros2 syntax
  * transport should be use as a ros-arg parameter
  * Fix image saver bug and time-based image saving
  * replace ROSTIME
  * Changing to RCL_SYSTEM_TIME
  * Fix timestamp creation
  * changes per comments
  * fix for stereo_image_proc_tests
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * please linters
  * Fix wrong usage of rclcpp::Duration constructor
  * Contributors: Chris Lalancette, Erwin Lejeune, Ivan Santiago Paunovic, Jacob Perron, Lars Lorentz Ludvigsen, Patrick Musau

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 29 Apr 2022 07:00:00 -0000

ros-rolling-image-view (2.2.1-2jammy) jammy; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 27 Aug 2020 07:00:00 -0000

ros-rolling-image-view (2.2.0-2jammy) jammy; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
  * Opencv 3 compatibility (#564 <https://github.com/ros-perception/image_pipeline/issues/564>)
    * Remove GTK from image_view.
    * Reinstate OpenCV 3 compatibility.
  * Use newer 'add_on_set_parameters_callback' API (#562 <https://github.com/ros-perception/image_pipeline/issues/562>)
    The old API was deprecated in Foxy and since removed in https://github.com/ros2/rclcpp/pull/1199.
  * Contributors: Chris Lalancette, Jacob Perron, Joshua Whitley
  * Patch boost failure in image_view (#541 <https://github.com/ros-perception/image_pipeline/issues/541>)
    * Patch boost failure in image_view
    * remove ros2_deps from circle with new releases
    * readd deps
  * Contributors: Steve Macenski
  * Initial ROS2 commit.
  * Contributors: Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 27 Jul 2020 07:00:00 -0000

ros-rolling-image-view (1.12.23-2jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 07:00:00 -0000

ros-rolling-image-view (1.12.22-2jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 08:00:00 -0000

ros-rolling-image-view (1.12.21-2jammy) jammy; urgency=high

  * call namedWindow from same thread as imshow, need waitKay, now cvStartWindowThreads is null funciton on window_QT.h (#279 <https://github.com/ros-perception/image_pipeline/issues/279>)
  * Contributors: Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 07:00:00 -0000

ros-rolling-image-view (1.12.20-2jammy) jammy; urgency=high

  * DisparityViewNodelet: fixed freeze (#244 <https://github.com/ros-perception/image_pipeline/issues/244>)
  * launch image view with a predefined window size (#257 <https://github.com/ros-perception/image_pipeline/issues/257>)
  * Remove python-opencv run_depend for image_view (#270 <https://github.com/ros-perception/image_pipeline/issues/270>)
    The python-opencv dependency pulls in the system OpenCV v2.4 which is
    not required since the image_view package depends on cv_bridge which
    pulls in opencv3 and opencv3 provides the python library that
    image_view can use.
  * Fix encoding error message (#253 <https://github.com/ros-perception/image_pipeline/issues/253>)
    * Fix encoding error message
    * Update image_saver.cpp
    Allow compilation on older compilers
  * Including stereo_msgs dep fixes #248 <https://github.com/ros-perception/image_pipeline/issues/248> (#249 <https://github.com/ros-perception/image_pipeline/issues/249>)
  * Add no gui mode to just visualize & publish with image_view (#241 <https://github.com/ros-perception/image_pipeline/issues/241>)
  * stere_view: fixed empty left, right, disparity windows with opencv3
  * Apply value scaling to depth/float image with min/max image value
    If min/max image value is specified we just use it, and if not,
    - 32FC1: we assume depth image with meter metric, and 10[m] as the max range.
    - 16UC1: we assume depth image with milimeter metric, and 10 * 1000[mm] as the max range.
  * Depends on cv_bridge 1.11.13 for CvtColorForDisplayOptions
    Close #238 <https://github.com/ros-perception/image_pipeline/issues/238>
  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Christopher Wecht, Kartik Mohta, Kei Okada, Kentaro Wada, Lukas Bulwahn, Leonard Gerard, Vincent Rabaud, cwecht, mryellow

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 07:00:00 -0000

ros-rolling-image-view (1.12.19-2jammy) jammy; urgency=high

  * Add colormap option in video_recorder


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), libboost-dev, ros-rolling-ament-cmake-auto, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-camera-calibration-parsers, ros-rolling-cv-bridge, ros-rolling-image-transport, ros-rolling-message-filters, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-std-srvs, ros-rolling-stereo-msgs, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), libboost-dev, ros-rolling-ament-cmake-auto, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-camera-calibration-parsers, ros-rolling-cv-bridge, ros-rolling-image-transport, ros-rolling-message-filters, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-std-srvs, ros-rolling-stereo-msgs, ros-rolling-ros-workspace
 Homepage: https://index.ros.org/p/image_view/github-ros-perception-image_pipeline/
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
